<?php

class SKIPResampler extends RESAMPLER {
  function Resample($res, $flags = 0) {
    $filtered = 0;
    foreach ($res['data'] as $t => &$v) {
	$cond = (sizeof($v) == $this->GetNumberOfChannels($res));
	if ($cond) {
	    foreach ($v as $vi) {
		if (!is_numeric($vi)) {
		    $cond = false;
		    break;
		}
	    }
	}
        if (!$cond) {
	    unset($res['data']);
	    $filtered++;
	}
    }
    $res['info']['incomplete'] = $filtered;
    return $res;
  }
}


?>